package tvark.beans;

import tvark.jsf.JsfUtils;

public class ParametersBean {
	
	private Long numberOfRooms = 60L;
	private Long hourLimit = 7L;	
	private Long teacherGap = 300L;
	private Long studentGap = 5L;
	private Long dayOffViolation = 400L;
	private Long exceedingHourLimit = 700L;
	private Long pedagoginesDidaktikos = 100L;
	private int ppInitial = 0;
	
	public int getPPInitial() {
		return ppInitial;}
	public void setPPInitial(int ppInitial) {
		this.ppInitial = ppInitial;	}
	
	public Long getNumberOfRooms() 
	{
		return numberOfRooms;	
	}
	public void setNumberOfRooms(Long numberOfRooms) 
	{
		this.numberOfRooms = numberOfRooms;	
	}

	public Long getHourLimit() 
	{
		return hourLimit;	
	}
	public void setHourLimit(Long hourLimit) 
	{
		this.hourLimit = hourLimit;	
	}

	public Long getTeacherGap() 
	{
		return teacherGap;	
	}
	public void setTeacherGap(Long teacherGap) 
	{
		this.teacherGap = teacherGap;
	}

	public Long getStudentGap() {
		return studentGap;	
	}
	public void setStudentGap(Long studentGap) {
		this.studentGap = studentGap;	}

	public Long getDayOffViolation() 
	{
		return dayOffViolation;	
	}
	public void setDayOffViolation(Long dayOffViolation) 
	{
		this.dayOffViolation = dayOffViolation;	
	}

	public Long getExceedingHourLimit() {
		return exceedingHourLimit;
	}
	public void setExceedingHourLimit(Long exceedingHourLimit) {
		this.exceedingHourLimit = exceedingHourLimit;}
	
	public Long getpedagoginesDidaktikos() 
	{
		return pedagoginesDidaktikos;
	}
	public void setpedagoginesDidaktikos(Long pedagoginesDidaktikos) 
	{
		this.pedagoginesDidaktikos = pedagoginesDidaktikos;
	}
	
	
	public String set() {
		return JsfUtils.Outcome.METHOD;	}

}
